PostgreSQL 7.1.3 Documentation
Prev |  | Next

# pg_connect

## Name

pg_connect -- opens a connection to the backend server

## Synopsis

    pg_connect -conninfo connectOptions
    pg_connect dbName [-host hostName]
      [-port portNumber] [-tty pqtty]
      [-options optionalBackendArgs]

### Inputs (new style)

`connectOptions`

  A string of connection options, each written in the form keyword = value. A list of valid options can be found in `libpq`'s `PQconnectdb()` manual entry.

### Inputs (old style)

`dbName`

  Specifies a valid database name.

[-host `hostName`]

  Specifies the domain name of the backend server for `dbName`.

[-port `portNumber`]

  Specifies the IP port number of the backend server for `dbName`.

[-tty `pqtty`]

  Specifies file or tty for optional debug output from backend.

[-options `optionalBackendArgs`]

  Specifies options for the backend server for `dbName`.

### Outputs

`dbHandle`

  If successful, a handle for a database connection is returned. Handles start with the prefix "pgsql".

## Description

`pg_connect` opens a connection to the Postgres backend.

Two syntaxes are available. In the older one, each possible option has a separate option switch in the pg_connect statement. In the newer form, a single option string is supplied that can contain multiple option values. See `pg_conndefaults` for info about the available options in the newer syntax.

## Usage

XXX thomas 1997-12-24

Prev | Home | Next
pgtcl Command Reference Information | Up | pg_disconnect